ad_page_contract {
    Administration page for intranet-search-oracle

    @author Marc Baiges Camprub (tm08707@salleurl.edu)
} {
}

# ---------------------------------------------------------------------
# Shows a form to add a new theme
# ---------------------------------------------------------------------
proc theme_add_form { } {
	set sql "select theme_name,theme_id from im_ef_themes order by theme_name"
 
    	set html "
                       <form name='theme_add' method='post' action='ef_theme_add-2.tcl'>
                                <table width='100%'>
                                <tr>
                                	<td width='100' align='left' valign='top'>Parent:</td>
					<td>
					<select size='3' width='250' name='parent_id'>
	"
		db_foreach get_themes $sql {
			if { $theme_id != 0} {
				append html "<option value='$theme_id'> $theme_name </option>"
			} else {
				append html "<option value='$theme_id' SELECTED> $theme_name </option>"
			}
    		}

	append html "
					</select>
					</td>
				</tr><tr>
	                                <td width='100' align='left'>Theme name:</td>
					<td><input type='text' size='25' name='theme_name'></td>
                                </tr>
				<tr>
				<td></td><td align='right'>
					<input type='submit' value='New'>
				</td>
				</tr>
                                </table>
			</form>
"

        return $html
}

# ---------------------------------------------------------------------
# Component creation proc. Shows a different state depending on the 
# current action 
# ---------------------------------------------------------------------
ad_proc -public im_ef_theme_manager_component { action theme_id theme_name parent_id} {

} {
        set current_url [ns_conn url]

        if { [string equal $action "list"] } {
           set html [theme_list]
        } elseif { [string equal $action "add"] } {
           set html [theme_add_form]
        } elseif { [string equal $action "add-2"] } {
           set html [theme_add_action $current_url $parent_id $theme_name]
        } elseif { [string equal $action "edit"] } {
           set html [theme_edit_form $current_url $theme_id]
       	} elseif { [string equal $action "edit-2"] } {
           set html [theme_edit_action $current_url $parent_id $theme_id $theme_name]
	}
        return [im_table_with_title "EF Theme Manager" $html]    

}


proc get_themes_component { } {
   return [im_ef_theme_manager_component "add" "none" "none" "none"]   
}
