ad_page_contract {
    Administration page for intranet-search-oracle

    @param theme_id Theme to be edited
    @author Marc Baiges Camprub (tm08707@salleurl.edu)
} {    
    theme_id
}

# ---------------------------------------------------------------------
# Shows a form to edit an existing theme
# ---------------------------------------------------------------------
ad_proc theme_edit_form { theme_id} {
	set sql "select theme_name,theme_id as the_id from im_ef_themes order by theme_name"
	set sql2 "select parent_id from im_ef_themes where theme_id = :theme_id"
	
	db_1row get_parent $sql2
	
    	set html "
                       <form name='theme_edit' method='post' action='ef_theme_edit-2.tcl'>
                       		<input type='hidden' name='theme_id' value='$theme_id'>
                                <table width='100%'>
                                <tr>
                                	<td width='100' align='left' valign='top'>Parent:</td>
					<td>
					<select size='3' width='250' name='parent_id' >
	"
		db_foreach get_themes $sql {
			if { $the_id != $parent_id} {
				append html "<option value='$the_id'> $theme_name </option>"
			} else {
				append html "<option value='$the_id' SELECTED> $theme_name </option>"
			}
    		}

	append html "
					</select>
					</td>
				</tr><tr>
	                                <td width='100' align='left'>Theme name:</td>
	"

		set sql2 "select theme_name as the_name from im_ef_themes where theme_id=$theme_id"
		db_1row theme_name_query $sql2

	append html		"
				<td><input type='text' size='25' name='theme_name' value=$the_name></td>
                                </tr>
				<tr>
				<td></td><td align='right'>
					<input type='submit' value='Edit'>
				</td>
				</tr>
                                </table>
			</form>
			<form name='theme_edit' method='post' action='ef_theme_delete.tcl'>
				<table width='100%'>
                                <tr><td align='right'>
                       		<input type='hidden' name='theme_id' value='$theme_id'>
                       		<input type='submit' value='Delete'>
                       		</td></tr>
                       		</table>
                       	</form>
	"
        return $html
}


# ---------------------------------------------------------------------
# Component creation proc. Shows a different state depending on the 
# current action 
# ---------------------------------------------------------------------
ad_proc -public im_ef_theme_manager_component { action th_id th_name p_id} {

} {
        set current_url [ns_conn url]

        if { [string equal $action "list"] } {
           set html [theme_list]
        } elseif { [string equal $action "add"] } {
           set html [theme_add_form]
        } elseif { [string equal $action "add-2"] } {
           set html [theme_add_action $p_id $th_name]
        } elseif { [string equal $action "edit"] } {
           set html [theme_edit_form $th_id]
       	} elseif { [string equal $action "edit-2"] } {
           set html [theme_edit_action $current_url $p_id $th_id $th_name]
	}
        return [im_table_with_title "EF Theme Manager" $html]    

}

ad_proc get_themes_component { theme_id } {
   return [im_ef_theme_manager_component "edit" $theme_id "none" "none"]   
}
