ad_page_contract {
    Administration page for intranet-search-oracle

    @param parent_id    Parent theme     
    @param theme_name   New name for the theme
    @author Marc Baiges Camprub (tm08707@salleurl.edu)
} {       
    parent_id
    theme_name   
}


db_transaction {
    db_dml theme_add {
	insert into im_ef_themes(theme_id,theme_name,parent_id)
		values(im_ef_themes_id_seq.nextval,:theme_name,:parent_id)		
    }

} on_error {
    ad_return_error "Error editing a theme" "
The database rejected the addition of theme \"$theme_name\". Here the error message: <pre>$errmsg\n</pre>\n"
    return
}
	

db_release_unused_handles 

ad_returnredirect ef_admin.tcl